const { __, _x, _n, _nx } = wp.i18n;
var texto = nichecreator_botones.texto;
jQuery(document).ready(function($){
    $("#generarcontenido select#paginascats").hide(); /* Paginas-Categorias en contenido IA */
    $("span[class^='nuevocampo']").click(function(){
			var1 = $(this).attr('class');
			numero = var1.replace(/\D/g, "");
			selectactual = $('select[name=valor'+numero+'] option').filter(':selected').val();
			if (selectactual == 'sinrellenar')
				{
				alert(texto);
				return false;
				}
			numerosig = parseInt(numero) + 1;
			selector = 'div.campos'+numerosig;
			selectant1 = 'span.nuevocampo'+numero;
			selectant2 = 'span.quitarcampo'+numero;
			campo = '#campo'+numero;
			valor = '#valor'+numero;
			//$(selectant1).hide();
			//$(selectant2).hide();
			//$(campo).css('pointer-events','none');
			//$(campo).css('color','grey');
			//$(valor).css('pointer-events','none');
			//$(valor).css('color','grey');
           		$(selector).show();
    });

    $("span[class^='quitarcampo']").click(function(){
			var1 = $(this).attr('class');
			numero = var1.replace(/\D/g, "");
			numeroant = parseInt(numero) - 1;
			selector = 'div.campos'+ numero;
			$('#valor'+numero).val('sinrellenar');
            		$(selector).hide();
			selectant1 = 'span.nuevocampo'+numeroant;
			selectant2 = 'span.quitarcampo'+numeroant;
			campo = '#campo'+numeroant;
			valor = '#valor'+numeroant;
			valoract = 'valor'+numero;
			if ($('input[name="ordenacion"]:checked').val() == valoract)
				{
				$('input[name="ordenacion"]').prop('checked', false);
				}
			$(selectant1).show();
			$(selectant2).show();
			//$(campo).attr("disabled", false);
			//$(valor).attr("disabled", false);
			$(campo).css('pointer-events','');
			$(valor).css('pointer-events','');
			$(campo).css('color','black');
			$(valor).css('color','black');
			
    });
    	/* Paginas-Categorias en contenido IA */
	$("select#entradaspaginas").click(function(){    
	if ($("select#entradaspaginas").val() == 'paginas')
		{
		$("#generarcontenido select#categorias").hide();
		$("#generarcontenido select#paginascats").show();
		}
	else
		{
		$("#generarcontenido select#categorias").show();
		$("#generarcontenido select#paginascats").hide();
		}
	});
	/* Imagen destacada en contenido IA */
	$('input[name="imagen"]').change(function(){
	if ($('input[name="imagen"]:checked').val() == 'no')
		{
		$('label[for="imagendestacada"]').hide();
		$('select[id="imagendestacada"]').val('no');
		$('select[id="imagendestacada"]').hide();
		}
	else
		{
		$('label[for="imagendestacada"]').show();
		$('select[id="imagendestacada"]').val('si');
		$('select[id="imagendestacada"]').show();
		}
	});
/*
    $("#enviardatos").click(function(){
            $.ajax({
                type: 'POST',
                url: 'cargartabla.php',
                success: function(data) {
                    alert(data);
                    $("p").text(data);
                }
            });
   });
   
*/

});

